Skip to main content
Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations
POSTvRouter Route Table OperationsSince 2.1SynchronousAuth Required

CreateVRouterRouteTable

CreateVRouterRouteTable

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVRouterRouteTableInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedRouterRefsListRequired

      See attachedRouterRefs.

      • virtualRouterVmUuidStringRequired

        No description provided.

      • routeTableUuidStringRequired

        No description provided.

    • routeEntriesListRequired

      See routeEntries.

      • uuidStringRequired

        The resource UUID.

      • descriptionStringRequired

        The detailed description of the resource.

      • typeStringRequired

        The type. You can add two types of routes: static route and black hole route. The system will automatically determine the type by judging whether to enter the next hop.

      • routeTableUuidStringRequired

        The vRouter route table UUID.

      • destinationStringRequired

        The destination network address.

      • targetStringRequired

        The next hop address. The IP address that can be accessed directly by vRouter VM instances. If the IP address cannot be accessed directly, the route recursion will be triggered.

      • distanceIntegerRequired

        The route priority. In the minimum match mode, if multiple route rules are available, the rule with the lowest integer has the highest priority to be matched.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/vrouter-route-tables

/zstack/v1/vrouter-route-tables

Operation ID

CreateVRouterRouteTable

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vrouter-route-tables' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "test-route-table", "description": "Test route table", "attachedRouterRefs": [], "routeEntries": [] } }

Change History

This API has no change history records yet.

View all change history